# Uses of Class
org.springframework.beans.factory.xml.DocumentDefaultsDefinition

Packages that use DocumentDefaultsDefinition
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of DocumentDefaultsDefinition in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return DocumentDefaultsDefinition
Modifier and Type
Method
Description
`DocumentDefaultsDefinition`
BeanDefinitionParserDelegate.`getDefaults()`
Return the defaults definition object.
Methods in org.springframework.beans.factory.xml with parameters of type DocumentDefaultsDefinition
Modifier and Type
Method
Description
`protected void`
BeanDefinitionParserDelegate.`populateDefaults(DocumentDefaultsDefinition defaults, DocumentDefaultsDefinition parentDefaults, Element root)`
Populate the given DocumentDefaultsDefinition instance with the default lazy-init, autowire, dependency check settings, init-method, destroy-method and merge settings.